Skip to content

Eligible services

All operations require authentication.

2 operationsv1/vrack/{serviceName}
Agent setup

List eligible servicesProduction

GET
/1.0/vrack/{serviceName}/eligibleServices

Returns, by service family, the services that can be attached to the vRack. The eligibility check runs asynchronously: the route can be called several times until all the eligible services are returned.

While the status is set to pending the results are partial.

Once the status is set to done, all the eligible services have been found.

In the eventuality of errors getting specific service types, the errors will be listed in the errors field.

Path parameters

serviceName
required
string

The internal name of your vrack

Query parameters

serviceFamily
EligibleServicesEnum

serviceFamily allows to filter on a specific service family

ValuescloudProjectdedicatedClouddedicatedServerdedicatedServerInterfaceipipLoadbalancingipv6legacyVrackovhCloudConnectvmwareCloudDirectorVirtualDataCentervrackServices

Response

200EligibleServicesResponsesuccessful operation
createdAt
read-only
string

Creation date of the call

errors
read-only
string[]

List of services where an error has been encountered

result
read-only
EligibleServices

Eligible services for this vRack

status
read-only
string

Status of the call

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vrack/{serviceName}/eligibleServices \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "string", "errors": [ "string" ], "result": { "cloudProject": [ "string" ], "dedicatedCloud": [ "string" ], "dedicatedCloudDatacenter": [ "string" ], "dedicatedConnect": [ "string" ], "dedicatedServer": [ "string" ], "dedicatedServerInterface": [ { "dedicatedServer": "string", "dedicatedServerInterface": "string", "name": "string" } ], "ip": [ "192.0.2.0/24" ], "ipLoadbalancing": [ "string" ], "ipv6": [ "2001:41d0::/128" ], "legacyVrack": [ "string" ], "ovhCloudConnect": [ "00000000-0000-0000-0000-000000000000" ], "vmwareCloudDirectorVirtualDataCenter": [ "string" ], "vrackServices": [ "string" ] }, "status": "string"}

List allowed services (deprecated)Deprecated

GET
/1.0/vrack/{serviceName}/allowedServices

Deprecated since Sep 1, 2025, will be removed on Dec 1, 2025.

List allowed services (deprecated). Returns, by service family, the services that can be attached to the vRack. Deprecated: use eligibleServices instead.

Path parameters

serviceName
required
string

The internal name of your vrack

Query parameters

serviceFamily
AllowedServiceEnum

Filter on a specific service family

ValuescloudProjectdedicatedClouddedicatedCloudDatacenterdedicatedConnectdedicatedServerdedicatedServerInterfaceipipLoadbalancingipv6legacyVrackovhCloudConnectvmwareCloudDirectorVirtualDataCentervrackServices

Response

200AllowedServicessuccessful operation
cloudProject
string[]

list of publicCloud projects allowed to be connected to vrack

dedicatedCloud
string[]

list of dedicated cloud allowed to be connected to vrack

dedicatedCloudDatacenter
string[]

list of dedicated cloud datacenters allowed to be connected to vrack

dedicatedConnect
string[]

list of dedicated connect links allowed to be connected to vrack

dedicatedServer
string[]

list of dedicated servers allowed to be connected to vrack

dedicatedServerInterface
AllowedDedicatedServerInterfaces[]

list of dedicated server interfaces allowed to be connected to vrack

ip
ipBlock[]

list of blocks allowed to be connected to vrack

ipLoadbalancing
string[]

list of ipLoadbalancing allowed to be connected to vrack

ipv6
ipv6Block[]

list of ipv6 blocks allowed to be connected to vrack

legacyVrack
string[]

list of legacy vrack (1.0) allowed to be connected to vrack

ovhCloudConnect
string[]uuid

List of the ovhCloudConnect services allowed to be connected to vrack

vmwareCloudDirectorVirtualDataCenter
string[]

List of the vmwareCloudDirectorVirtualDataCenter allowed to be connected to vrack

vrackServices
string[]

List of the vrackServices allowed to be connected to vrack

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vrack/{serviceName}/allowedServices \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "cloudProject": [ "string" ], "dedicatedCloud": [ "string" ], "dedicatedCloudDatacenter": [ "string" ], "dedicatedConnect": [ "string" ], "dedicatedServer": [ "string" ], "dedicatedServerInterface": [ { "dedicatedServer": "string", "dedicatedServerInterface": "string", "name": "string" } ], "ip": [ "192.0.2.0/24" ], "ipLoadbalancing": [ "string" ], "ipv6": [ "2001:41d0::/128" ], "legacyVrack": [ "string" ], "ovhCloudConnect": [ "00000000-0000-0000-0000-000000000000" ], "vmwareCloudDirectorVirtualDataCenter": [ "string" ], "vrackServices": [ "string" ]}